package com.jay.example.aidl_complexservice;

import java.util.HashMap;
import java.util.Map;

import com.jay.example.aidl.ISalary.Stub;
import com.jay.example.aidl.Person;
import com.jay.example.aidl.Salary;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import android.os.RemoteException;

public class AidlService extends Service {

	private SalaryBinder salaryBinder;
	private static Map<Person,Salary> ss = new HashMap<Person, Salary>();
	//ʼMap,ھ̬нгʼ,ȻҲڹ췽ɳʼ
	static
	{
		ss.put(new Person(1, "Jay"), new Salary("ũ", 2000));
		ss.put(new Person(2, "GEM"), new Salary("", 20000));
		ss.put(new Person(3, "XM"), new Salary("ѧ", 20));
		ss.put(new Person(4, "MrWang"), new Salary("ʦ", 2000));
	}
	
	
	@Override
	public void onCreate() {
		super.onCreate();
		salaryBinder = new SalaryBinder();
	}
	
	@Override
	public IBinder onBind(Intent intent) {
		return salaryBinder;
	}

	
	//ͬǼ̳Stub,ͬʱʵISalaryӿںIBinderӿ
	public class SalaryBinder extends Stub
	{

		@Override
		public Salary getMsg(Person owner) throws RemoteException {
			return ss.get(owner);
		}
		
	}
	
	@Override
	public void onDestroy() {
		System.out.println("");
		super.onDestroy();
	}
	
	
	
	
	
}
